' Sample Dragonfly ShutterStatus script
' (c) Lunatico 2016
'
' it only does something once, and then if the program has not commanded any action in the roof yet
'
' To modify it, if, as suggested you have 1 open roof sensor and 1 closed roof sensor, just check the "Own constats" section below
'
'
Option Explicit

' ASCOM Shutter State
const ShutterStatus_Open = 0		' these values are from the ASCOM standard, cannot be changed!
const ShutterStatus_Closed = 1
const ShutterStatus_Opening = 2
const ShutterStatus_Closing = 3
const ShutterStatus_Error = 4
const ShutterStatus_noInit = -1		' this one however is our "flag"

' Own constants
' define your own constants here

const Sens_OpenRoof = 1
const Sens_ClosedRoof  = 2
const Rel_Roof = 1

dim df 

set df = CreateObject( "Dragonfly.Help" )

if ( df.AscomShutterStatus <> ShutterStatus_Opening ) and  ( df.AscomShutterStatus <> ShutterStatus_Closing ) then		' just in this case!
' if ( df.AscomShutterStatus = ShutterStatus_noInit ) then		' just in this case!
	if ( df.SensorDigRead( Sens_ClosedRoof ) ) then			' if closed...
		if ( df.SensorDigRead( Sens_OpenRoof ) ) then
			df.AscomShutterStatus = ShutterStatus_error	' closed and open? Error!
		else
			df.AscomShutterStatus = ShutterStatus_Closed	' All is good, closed
		end if
	else
		if ( df.SensorDigRead( Sens_OpenRoof ) ) then		' it is open, and not closed
			df.AscomShutterStatus = ShutterStatus_Open
		else
			df.AscomShutterStatus = ShutterStatus_error	' not closed and not open and not init? Error!
		end if
	end if
end if
